<?php
/*
* reset_password.php
* Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information.
* @author   Quinn Comendant <quinn@strangecode.com>
* @version  1.0
* @since    30 Jun 2006 01:39:32
*/


/********************************************************************
* CONFIG
********************************************************************/

// The object to validate form input from the user.
require_once 'codebase/lib/FormValidator.inc.php';
$fv = new FormValidator();

/********************************************************************
* MAIN
********************************************************************/

// If boomerang is set remember which page we came from so we can go back there.
if (getFormData('boomerang', false) && isset($_SERVER['HTTP_REFERER'])) {
    $app->setBoomerangURL($_SERVER['HTTP_REFERER'], 'reset_password');
}

$app->sslOn();

switch (getFormData('op')) {
case 'reset' :
    $fv->notEmpty('username', sprintf(_("You must enter your %s."), _("Username")));
    if (!$fv->anyErrors()) {
        // Get the user id for this username, if it exists.
        $qid = $db->query("
            SELECT " . $db->escapeString($auth->getParam('db_primary_key')) . "
            FROM " . $db->escapeString($auth->getParam('db_table')) . "
            WHERE " . $db->escapeString($auth->getParam('db_username_column')) . " = '" . $db->escapeString(getFormData('username')) . "'
        ");
        if ((list($user_id) = mysql_fetch_row($qid)) && $auth->resetPassword($user_id, 'This was requested on the "I forgot my password" page.')) {
            $app->raiseMsg(sprintf(_("Your password has been reset. Your new password has been sent to you in an email."), null), MSG_SUCCESS, __FILE__, __LINE__);
            $app->dieURL($auth->getParam('login_url'));
        } else {
            $app->raiseMsg(sprintf(_("There was a problem resetting the password for <em>%s</em>. Please contact us if you need assistance."), getFormData('username')), MSG_WARNING, __FILE__, __LINE__);
            $app->logMsg(sprintf('Password reset for %s failed.', getFormData('username')), LOG_NOTICE, __FILE__, __LINE__);
            $frm = array('username' => getFormData('username'));
        }
    }
    break;

case 'form' :
default :
    $frm = array('username' => '');
    break;
}


/********************************************************************
* OUTPUT
********************************************************************/

$nav->add(_("Reset Password"));

include 'header.ihtml';
include 'codebase/services/templates/reset_password.ihtml';
include 'footer.ihtml';

?>
